Package org.eclipse.launchbar.core.internal

# Class LaunchConfigProviderInfo

java.lang.Object
org.eclipse.launchbar.core.internal.LaunchConfigProviderInfo

public class LaunchConfigProviderInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`LaunchConfigProviderInfo(org.eclipse.core.runtime.IConfigurationElement element)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`enabled(Object element)`
`String`
`getDescriptorTypeId()`
`int`
`getPriority()`
`ILaunchConfigurationProvider`
`getProvider()`
`boolean`
`supportsNullTarget()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LaunchConfigProviderInfo

public LaunchConfigProviderInfo(org.eclipse.core.runtime.IConfigurationElement element)

## Method Details

### getDescriptorTypeId

public String getDescriptorTypeId()

### getPriority

public int getPriority()

### supportsNullTarget

public boolean supportsNullTarget()

### getProvider

public ILaunchConfigurationProvider getProvider()

### enabled

public boolean enabled(Object element)